### Constructor

# Ide Diagnostics new_from_array

#### Declaration

    IdeDiagnostics*
    ide_diagnostics_new_from_array (
      GPtrArray* array
    )

#### Description

No description available.

Available since: | 3.32

#### Parameters

`array` | An array of `IdeDiagnostic*`
| Optional array of diagnostics to add.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeDiagnostics`
| An `IdeDiagnostics`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.